CWE
787 121 119
Advisory Published
Updated

CVE-2022-35690: Buffer Overflow

First published: Fri Oct 14 2022(Updated: )

Adobe ColdFusion versions Update 14 (and earlier) and Update 4 (and earlier) are affected by a Stack-based Buffer Overflow vulnerability that could result in arbitrary code execution in the context of the current user. Exploitation of this issue does not require user interaction, the vulnerability is triggered when a crafted network packet is sent to the server.

Credit: psirt@adobe.com

Affected SoftwareAffected VersionHow to fix
Adobe ColdFusion=2018
Adobe ColdFusion=2018-update1
Adobe ColdFusion=2018-update10
Adobe ColdFusion=2018-update11
Adobe ColdFusion=2018-update12
Adobe ColdFusion=2018-update13
Adobe ColdFusion=2018-update14
Adobe ColdFusion=2018-update2
Adobe ColdFusion=2018-update3
Adobe ColdFusion=2018-update4
Adobe ColdFusion=2018-update5
Adobe ColdFusion=2018-update6
Adobe ColdFusion=2018-update7
Adobe ColdFusion=2018-update8
Adobe ColdFusion=2018-update9
Adobe ColdFusion=2021
Adobe ColdFusion=2021-update1
Adobe ColdFusion=2021-update2
Adobe ColdFusion=2021-update3
Adobe ColdFusion=2021-update4

Never miss a vulnerability like this again

Sign up to SecAlerts for real-time vulnerability data matched to your software, aggregated from hundreds of sources.

Frequently Asked Questions

  • What is CVE-2022-35690?

    CVE-2022-35690 is a Stack-based Buffer Overflow vulnerability affecting Adobe ColdFusion versions Update 14 and earlier, as well as Update 4 and earlier.

  • What is the severity of CVE-2022-35690?

    The severity of CVE-2022-35690 is critical, with a CVSS score of 9.8.

  • How does CVE-2022-35690 impact Adobe ColdFusion?

    CVE-2022-35690 can lead to arbitrary code execution in the context of the current user.

  • Do I need user interaction to exploit CVE-2022-35690?

    No, exploitation of CVE-2022-35690 does not require user interaction.

  • Where can I find more information about CVE-2022-35690?

    You can find more information about CVE-2022-35690 on the Adobe Security Bulletin APSB22-44: [Link](https://helpx.adobe.com/security/products/coldfusion/apsb22-44.html).

Contact

SecAlerts Pty Ltd.
132 Wickham Terrace
Fortitude Valley,
QLD 4006, Australia
info@secalerts.co
By using SecAlerts services, you agree to our services end-user license agreement. This website is safeguarded by reCAPTCHA and governed by the Google Privacy Policy and Terms of Service. All names, logos, and brands of products are owned by their respective owners, and any usage of these names, logos, and brands for identification purposes only does not imply endorsement. If you possess any content that requires removal, please get in touch with us.
© 2024 SecAlerts Pty Ltd.
ABN: 70 645 966 203, ACN: 645 966 203